Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class EntrySetMap

`java.lang.Object
java.util.AbstractMap
com.tangosol.util.EntrySetMap`

All Implemented Interfaces:
  Map

      public class EntrySetMap

extends AbstractMap

A trivial Map implementation that is based on a specified set of entries. This implementation does not support inserts or updates. Additionally, since almost every operation is implemented by iterating over the underlying entry set, this class is meant to be used only for iterations or small sets of data.

Since:
  Coherence 3.6

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry`

Field Summary
`protected Set` | `m_setEntries` The underlying set of Entry objects.

Constructor Summary
`EntrySetMap(Set setEntries)`

Method Summary
`Set` | `entrySet()` Returns a set view of the mappings contained in this map.

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

Field Detail

### m_setEntries

    protected Set m_setEntries

  The underlying set of Entry objects.

Constructor Detail

### EntrySetMap

    public EntrySetMap(Set setEntries)

Method Detail

### entrySet

    public Set entrySet()

  Description copied from class: `java.util.AbstractMap`
  Returns a set view of the mappings contained in this map. Each element in this set is a Map.Entry. The set is backed by the map, so changes to the map are reflected in the set, and vice-versa. (If the map is modified while an iteration over the set is in progress, the results of the iteration are undefined.) The set supports element removal, which removes the corresponding entry from the map, via the `Iterator.remove`, `Set.remove`, `removeAll`, `retainAll` and `clear` operations. It does not support the `add` or `addAll` operations.
  Specified by:
    `entrySet` in interface `Map`
  Specified by:
    `entrySet` in class `AbstractMap`
  Returns:
    a set view of the mappings contained in this map.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.